| Home | Libraries | People | FAQ | More

#### Predicates (boost::geometry::index::)

###### Functions

Function | Description
--- | ---
`contains(Geometry const &)` | Generate `contains()` predicate.
`covered_by(Geometry const &)` | Generate `covered_by()` predicate.
`covers(Geometry const &)` | Generate `covers()` predicate.
`disjoint(Geometry const &)` | Generate `disjoint()` predicate.
`intersects(Geometry const &)` | Generate `intersects()` predicate.
`overlaps(Geometry const &)` | Generate `overlaps()` predicate.
`within(Geometry const &)` | Generate `within()` predicate.
`satisfies(UnaryPredicate const &)` | Generate satisfies() predicate.
`nearest(Geometry const &, unsigned)` | Generate nearest() predicate.